## libusbgx 0.3.0

=== meson_options.txt ===
option('examples', type: 'boolean', value: false, description: 'Build examples')
option('tests', type: 'feature', value: 'auto', description: 'Build unit tests')
option('gadget-schemes', type: 'feature', value: 'auto', description: 'Enable gadget schemes')
option('doxygen', type: 'feature', value: 'auto', description: 'Build documentation')

## libusbgx 0.2.0

=== debian/changelog ===
libusbgx (0.2.0-2) unstable; urgency=medium

  * source-only reupload

 -- Manuel Traut <manut@mecka.net>  Mon, 17 Oct 2022 12:07:04 +0200

libusbgx (0.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1016019)

 -- Manuel Traut <manut@mecka.net>  Sun, 31 Jul 2022 18:13:11 +0200

=== debian/control ===
Source: libusbgx
Section: libs
Priority: optional
Maintainer: Manuel Traut <manut@mecka.net>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 libconfig-dev,
 doxygen,
 graphviz,
Standards-Version: 4.6.1
Homepage: https://github.com/linux-usb-gadgets/libusbgx
Vcs-Browser: https://salsa.debian.org/debian/libusbgx
Vcs-Git: https://salsa.debian.org/debian/libusbgx.git

Package: libusbgx-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libusbgx2 (= ${binary:Version}),
 ${misc:Depends},
Description: Development files for libusbgx
 It provides routines for creating and parsing USB gadget devices using
 the configfs API. Currently, all USB gadget configfs functions that can
 be enabled in kernel release 3.11 (Linux for Workgroups!) are supported.
 .
 This package contains the header and development files needed to build
 programs and packages using libpng.

Package: libusbgx-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
Suggests: libusbgx-dev
Description: Documentation files for libusbgx
 It provides routines for creating and parsing USB gadget devices using
 the configfs API. Currently, all USB gadget configfs functions that can
 be enabled in kernel release 3.11 (Linux for Workgroups!) are supported.
 .
 This package contains the document files like examples files,
 and doxygen generated API documentation.

Package: libusbgx2
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: C library encapsulating the kernel USB gadget-configfs
 It provides routines for creating and parsing USB gadget devices using
 the configfs API. Currently, all USB gadget configfs functions that can
 be enabled in kernel release 3.11 (Linux for Workgroups!) are supported.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_after_dh_auto_build:
	$(MAKE) doxygen-run

override_dh_auto_install-indep:
	dh_installdocs --indep -plibusbgx-doc \
		doxygen-doc/html
	dh_doxygen --indep -plibusbgx-doc

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-examples

## libusbgx 0.3.0

=== debian/changelog ===
libusbgx (0.3.0-2) unstable; urgency=medium

  [ Bardia Moshiri ]
  * d/control: add libconfig-dev to depends of libusbgx-dev

  [ Manuel Traut ]
  * d/gbp.conf: Configure debian branch
  * d/copyright: Fix old-fsf-address-in-copyright-file

 -- Manuel Traut <manut@mecka.net>  Fri, 05 Sep 2025 11:48:14 +0200

libusbgx (0.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Mon, 28 Oct 2024 23:47:44 -0400

libusbgx (0.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Manuel Traut <manut@mecka.net>  Wed, 02 Oct 2024 21:17:07 +0200

libusbgx (0.2.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062693

 -- Graham Inggs <ginggs@debian.org>  Wed, 28 Feb 2024 20:57:40 +0000

libusbgx (0.2.0-3) unstable; urgency=medium

  * Fix clean target (Closes: #1049287)
  * Fix description of -dev package (Closes: #1050382)

 -- Manuel Traut <manut@mecka.net>  Mon, 28 Aug 2023 15:49:05 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Manuel Traut <manut@mecka.net>
 Rules-Requires-Root: no
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
  libconfig-dev,
  doxygen,
  graphviz,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/linux-usb-gadgets/libusbgx
 Vcs-Browser: https://salsa.debian.org/debian/libusbgx
 Vcs-Git: https://salsa.debian.org/debian/libusbgx.git
@@ -18,7 +18,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libusbgx2 (= ${binary:Version}),
+ libusbgx3 (= ${binary:Version}),
+ libconfig-dev,
  ${misc:Depends},
 Description: Development files for libusbgx
  It provides routines for creating and parsing USB gadget devices using
@@ -26,7 +27,7 @@
  be enabled in kernel release 3.11 (Linux for Workgroups!) are supported.
  .
  This package contains the header and development files needed to build
- programs and packages using libpng.
+ programs and packages using libusbgx2.
 
 Package: libusbgx-doc
 Architecture: all
@@ -43,7 +44,7 @@
  This package contains the document files like examples files,
  and doxygen generated API documentation.
 
-Package: libusbgx2
+Package: libusbgx3
 Architecture: any
 Multi-Arch: same
 Depends:

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 %:
 	dh $@
-
-execute_after_dh_auto_build:
-	$(MAKE) doxygen-run
 
 override_dh_auto_install-indep:
 	dh_installdocs --indep -plibusbgx-doc \
@@ -16,3 +13,6 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--disable-examples
+
+execute_after_dh_auto_build:
+		$(MAKE) doxygen-run

=== debian/watch ===
version=4

  https://github.com/linux-usb-gadgets/libusbgx/tags .*/libusbgx-v(\d\S+)\.tar\.gz
